Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RangeSliceReply

    java.lang.Object
      org.apache.cassandra.db.RangeSliceReply

    public class RangeSliceReply

extends java.lang.Object

Field Summary
`java.util.List<Row>` | `rows`

Constructor Summary
`RangeSliceReply(java.util.List<Row> rows)`

Method Summary
`Message` | `getReply(Message originalMessage)`
`static RangeSliceReply` | `read(byte[] body, int version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rows

    public final java.util.List<Row> rows

Constructor Detail

### RangeSliceReply

    public RangeSliceReply(java.util.List<Row> rows)

Method Detail

### getReply

    public Message getReply(Message originalMessage)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### read

    public static RangeSliceReply read(byte[] body,
                                       int version)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation